﻿$(function () {
    $("#nvc_province_code_open").change(function () {
        _citySelOPen.uninit();
        _citySelOPen.getFirstCountry($("#nvc_province_code_open").val());
        $("#nvc_area_code_open").empty();

    });

    $("#nvc_city_code_open").change(function () {
        _citySelOPen.uninit();
        _citySelOPen.getSecondCountry($("#nvc_city_code_open").val());

    });
});

var _citySelOPen = {
    getState: null,//获取大类
    getFirstCountry: null,
    getSecondCountry: null,
    init: null,//初始化
    uninit: null,//去掉初始化
    state: 0,
    cfirst: 0,
    csecond: 0
}


_citySelOPen.init = function (state, cfirst, csecond) {
    _citySelOPen.state = state;
    _citySelOPen.cfirst = cfirst;
    _citySelOPen.csecond = csecond;

    _citySelOPen.getState();
    if (state != '') {
        _citySelOPen.getFirstCountry(state);
    }
    if (cfirst != '') {
        _citySelOPen.getSecondCountry(cfirst);
    }
    
}
_citySelOPen.uninit = function () {
    _citySelOPen.state = 0;
    _citySelOPen.cfirst = 0;
    _citySelOPen.csecond = 0;
}


_citySelOPen.getState = function () {
    var obj = $("#nvc_province_code_open");
    $.ajax({
        type: "POST",
        url: "/Api/getProvince",
        data: {},
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySelOPen.state == 0 ? "selected" : "") + '>请选择</option>';
                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySelOPen.state ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }

    });

}

_citySelOPen.getFirstCountry = function (Ids) {
    var obj = $("#nvc_city_code_open");
    $.ajax({
        type: "POST",
        url: "/Api/getArea",
        data: { nvc_code: Ids },
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySelOPen.cfirst == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySelOPen.cfirst ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}

_citySelOPen.getSecondCountry = function (Ids) {
    var obj = $("#nvc_area_code_open");
    $.ajax({
        type: "POST",
        url: "/Api/getArea",
        data: { nvc_code: Ids },
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="" ' + (_citySelOPen.csecond == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _citySelOPen.csecond ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}